package com.steerinfo.meterwork.dto;

import com.steerinfo.meterwork.meterworkcaractualfirst.model.MeterWorkCarActualFirst;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


@Data
public class MeterWorkCarActualFirstDto extends MeterWorkCarActualFirst {
    /**
     * 计量作业编号(ACTUAL_FIRST_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量作业编号",required=true)
    private String actualFirstNo;

    /**
     * 预报编号(PREDICTION_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="预报编号",required=false)
    private String predictionNo;

    private String updateManNo;
    private String updateManName;

    @Override
    public void setId(String actualFirstNo) {
        this.actualFirstNo = actualFirstNo == null ? null : actualFirstNo.trim();
    }

    @Override
    public String getActualFirstNo() {
        return actualFirstNo;
    }

    @Override
    public void setActualFirstNo(String actualFirstNo) {
        this.actualFirstNo = actualFirstNo == null ? null : actualFirstNo.trim();
    }

    @Override
    public String getPredictionNo() {
        return predictionNo;
    }

    @Override
    public void setPredictionNo(String predictionNo) {
        this.predictionNo = predictionNo == null ? null : predictionNo.trim();
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo;
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName;
    }
}
